## org.eclipse.jst.jsf.core.jsflibraryconfiguration
Class JSFLibraryConfigurationHelper

    java.lang.Object
      org.eclipse.jst.jsf.core.jsflibraryconfiguration.JSFLibraryConfigurationHelper

Deprecated.

    public final class JSFLibraryConfigurationHelper

extends java.lang.Object

Helper class for adopters needing to deal with JSF Library References

Provisional API - subject to change

Since:
  WTP JSF 1.0

Field Summary
`static java.lang.String` `JSF_LIBRARY_CP_CONTAINER_ID` Deprecated. container id for JSF Library Classpath Containers

Constructor Summary
`JSFLibraryConfigurationHelper()` Deprecated.

Method Summary
`static java.util.Collection<JSFLibraryReference>` `getJSFLibraryReferences(IProject project)` Deprecated.
`static boolean` `isConfiguredForSystemSuppliedImplementation(IProject project)` Deprecated.
`static boolean` `isJSFLibraryContainer(IClasspathEntry cpEntry)` Deprecated.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### JSF_LIBRARY_CP_CONTAINER_ID

    public static final java.lang.String JSF_LIBRARY_CP_CONTAINER_ID

  Deprecated.
  container id for JSF Library Classpath Containers

  See Also:
    Constant Field Values

Constructor Detail

### JSFLibraryConfigurationHelper

    public JSFLibraryConfigurationHelper()

  Deprecated.

Method Detail

### getJSFLibraryReferences

    public static java.util.Collection<JSFLibraryReference> getJSFLibraryReferences(IProject project)

  Deprecated.
  Parameters:
    `project` -
  Returns:
    collection of references

### isJSFLibraryContainer

    public static boolean isJSFLibraryContainer(IClasspathEntry cpEntry)

  Deprecated.
  Parameters:
    `cpEntry` -
  Returns:
    boolean indicating that the classpath entry is a JSF Libary Classpath Container

### isConfiguredForSystemSuppliedImplementation

    public static boolean isConfiguredForSystemSuppliedImplementation(IProject project)

  Deprecated.
  Parameters:
    `project` -
  Returns:
    true if the JSF Faceted project is configured to use system supplied implementation